#
# spec file for package python3-pygame_sdl2
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define renpy_ver 6.99.10.1227
Name:           python3-pygame_sdl2
Version:        2.1.0
Release:        1.6
Summary:        Reimplementation of the pygame API using SDL2
License:        Zlib and LGPL-2.1
Group:          Development/Libraries/Python
Url:            https://github.com/renpy/pygame_sdl2
Source:         https://github.com/renpy/pygame_sdl2/archive/renpy-%{renpy_ver}/pygame_sdl2-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  libjpeg8-devel
BuildRequires:  pkg-config
BuildRequires:  python3
BuildRequires:  python3-Cython >= 0.20
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(sdl2) >= 2.0.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Pygame_sdl2 is a reimplementation of the Pygame API using SDL2 and related libraries.
The initial goal of this project are to allow games written using the pygame API
to run on SDL2 on desktop and mobile platforms.

%package devel
Summary:        C development headers
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
Pygame_sdl2 is a reimplementation of the Pygame API using SDL2 and related libraries.
This package contains the C development headers.

%prep
%setup -q -n pygame_sdl2-renpy-%{renpy_ver}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%fdupes %{buildroot}%{python3_sitearch}

%files devel
%defattr(-,root,root)
%{_includedir}/python3*/pygame_sdl2

%files
%defattr(-,root,root)
%doc COPYING.ZLIB COPYING.LGPL21
%{python3_sitearch}/pygame_sdl2*

%changelog
* Sat May 14 2016 rpm@fthiessen.de
- Initial packaging
